- NAME
- DESCRIPTION
- SYNOPSIS
- VARIABLES
- AUTHOR

# NAME

PDL::Bad - PDL does not process bad values

# DESCRIPTION

PDL has been compiled with WITH_BADVAL either 0 or undef, so it does not contain any bad-value support code. Actually, a number of methods are defined, but they are only placeholders to make writing other code, that has to handle WITH_BADVAL being true or false, easier.

Implementation details are given in the PDL::BadValues manpage.

# SYNOPSIS

     use PDL::Bad;
     print "\nBad value support in PDL is turned " .
         $PDL::Bad::Status ? "on" : "off" . ".\n";

     Bad value support in PDL is turned off.

# VARIABLES

There are currently two variables that this module defines which may be of use.

$PDL::Bad::Status
  Set to 0

$PDL::Bad::UseNaN
  Set to 0

# AUTHOR

Doug Burke (djburke@cpan.org), 2000, 2001.

All rights reserved. There is no warranty. You are allowed to redistribute this software / documentation under certain conditions. For details, see the file COPYING in the PDL distribution. If this file is separated from the PDL distribution, the copyright notice should be included in the file.